//
// Created by sebastian on 06.08.26.
//

#include "LobbyUiLayer.h"

void LobbyUiLayer::onAttachImpl() {
    Layer::onAttachImpl();

    auto backgroundTexture = m_assetManager.getTexture("lobby_background");

    backgroundImage = std::make_unique<engine::GUITexture>(backgroundTexture, glm::vec2(0,0), glm::vec2(1,1));
}

void LobbyUiLayer::onRender() {
    std::vector<engine::GUITexture> guiElements;
    guiElements.emplace_back(*backgroundImage);
    m_guiRenderer.render(guiElements);
}